Summary:	Client and window-manager helper library on top of libxcb
Name:		xcb-util-wm
Version:	0.4.2
Release:	2%{?dist}
License:	MIT
URL:		http://xcb.freedesktop.org
Source0:	http://xcb.freedesktop.org/dist/%{name}-%{version}.tar.xz

BuildRequires:  make gcc m4
BuildRequires:	pkgconfig(xcb-util) >= 0.3.8

%description
XCB util-wm module provides the following libraries:

  - ewmh: Both client and window-manager helpers for EWMH.
  - icccm: Both client and window-manager helpers for ICCCM.


%package 	devel
Summary:	Development and header files for xcb-util-vm
Requires:	%{name} = %{version}-%{release}

%description	devel
Development files for xcb-util-wm.


%prep
%autosetup -n %{name}-%{version} -p1


%build
%configure --with-pic --disable-static --disable-silent-rules
%make_build


%check
make check


%install
%make_install
rm -rf %{buildroot}%{_libdir}/*.la


%files
%license COPYING
%doc README.md
%{_libdir}/*.so.*


%files devel
%doc NEWS
%{_libdir}/pkgconfig/*.pc
%{_libdir}/*.so
%{_includedir}/xcb/*.h


%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.4.2-2
- Rebuilt for OpenCloudOS Stream 23.09

* Wed Aug 23 2023 Shuo Wang <abushwang@tencent.com> - 0.4.2-1
- update to 0.4.2

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.4.1-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.4.1-2
- Rebuilt for OpenCloudOS Stream 23

* Tue Nov 15 2022 rockerzhu <rockerzhu@tencent.com> - 0.4.1-1
- Initial build
